/*
  * Copyright 2012  Samsung Electronics Co., Ltd
  *
  * Licensed under the Flora License, Version 1.1 (the "License");
  * you may not use this file except in compliance with the License.
  * You may obtain a copy of the License at
  *
  *     http://floralicense.org/license/
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
  */

#ifndef WEBAPP_DETAIL_MAIN_VIEW_H_
#define WEBAPP_DETAIL_MAIN_VIEW_H_

#include <memory>
#include <string>

#include <Elementary.h>
#include <ui-gadget.h>

namespace WebAppDetailSetting {
// Forward declare
class ExceptionsView;
class OriginView;

class MainView
{
  public:
    MainView(ui_gadget_h ug);
    ~MainView(void);

    void init(const std::string& pkgId);
    Evas_Object* getLayout(void) const;

  private:
    ui_gadget_h m_ug;
    std::string m_pkgId;

    Evas_Object* m_layout;
    Evas_Object* m_bg;

    std::unique_ptr<OriginView> m_originView;

    Evas_Object* createLayout(Evas_Object* parent);
    Evas_Object* createBg(Evas_Object* parent);
    Evas_Object* createNaviframe(Evas_Object* parent);
    static void backCallback(void* data, Evas_Object* obj, void* eventInfo);
};

} /* WebAppDetailSetting */

#endif // WEBAPP_DETAIL_MAIN_VIEW_H_
