/*
  * Copyright 2013  Samsung Electronics Co., Ltd
  *
  * Licensed under the Flora License, Version 1.1 (the "License");
  * you may not use this file except in compliance with the License.
  * You may obtain a copy of the License at
  *
  *     http://floralicense.org/license/
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
  */
/**
 * @file    permission_delete_view.h
 * @author  Leerang Song (leerang.song@samsung.com)
 */


#ifndef WEBAPP_DETAIL_PERMISSION_DELETE_VIEW_H_
#define WEBAPP_DETAIL_PERMISSION_DELETE_VIEW_H_

#include <memory>
#include <vector>
#include <string>
#include <Elementary.h>

#undef None // conflict with ui-gadget-module.h
#include <wrt-commons/security-origin-dao/security_origin_dao.h>

namespace WebAppDetailSetting {
//Forward declare
class Context;
class PermissionDeleteView
{
  public:
    PermissionDeleteView(Context& context);
    ~PermissionDeleteView(void);

    void init(void);

  private:
    void initData(void);
    void loadView(void);

    // genlist
    Evas_Object* createGenlist(Evas_Object* parent);
    static char* getTextCallback(void* data,
                                 Evas_Object* obj,
                                 const char* part);
    static Evas_Object* getContentCallback(void* data,
                                           Evas_Object* obj,
                                           const char* part);
    static void delCallback(void* data, Evas_Object* obj);

    // check
    Evas_Object* createDefaultCheck(Evas_Object* parent);
    Evas_Object* createOnOffCheck(Evas_Object* parent);
    static void checkChangedCallback(void* data,
                                     Evas_Object* obj,
                                     void* eventInfo);

    // toolbar
    Evas_Object* createToolbar(Evas_Object* parent);
    static void toolbarClickedCallback(void* data,
                                       Evas_Object* obj,
                                       void* eventInfo);
    static void toolbarDelCallback(void* data,
                                   Evas_Object* obj,
                                   void* eventInfo);

    Context& m_context;
    Evas_Object* m_genlist;
};
} // namespace WebAppDetailSetting

#endif // WEBAPP_DETAIL_PERMISSION_DELETE_VIEW_H_
