/*
  * Copyright 2013  Samsung Electronics Co., Ltd
  *
  * Licensed under the Flora License, Version 1.1 (the "License");
  * you may not use this file except in compliance with the License.
  * You may obtain a copy of the License at
  *
  *     http://floralicense.org/license/
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
  */
/**
  * @file    wrt_setting_text.h
  * @author  Leerang Song (leerang.song@samsung.com)
  */

#ifndef WRT_SETTING_TEXT_H
#define WRT_SETTING_TEXT_H

#include <libintl.h>
#include <dpl/wrt-dao-ro/widget_dao_types.h>

#define WRT_SETTING_SK_DELETE dgettext("ug-webapp-detail-efl", "IDS_BR_SK_DELETE")
#define WRT_SETTING_SK_CANCEL dgettext("ug-webapp-detail-efl", "IDS_BR_SK_CANCEL")

#define WRT_SETTING_BODY_EMPTY dgettext("ug-webapp-detail-efl", "IDS_BR_BODY_EMPTY")
#define WRT_SETTING_BODY_WEBSITE_SETTINGS dgettext("ug-webapp-detail-efl", "IDS_BR_BODY_WEBSITE_SETTINGS")
#define WRT_SETTING_BODY_RESET_TO_DEFAULT dgettext("ug-webapp-detail-efl", "IDS_BR_BODY_RESET_TO_DEFAULT")

#define WRT_SETTING_OPT_ACCESS_USER_LOCATION dgettext("ug-webapp-detail-efl", "IDS_WRT_OPT_ACCESS_USER_LOCATION")
// TODO: should use OPT type of IDS
#define WRT_SETTING_HEADER_WEB_NOTIFICATION dgettext("ug-webapp-detail-efl", "IDS_BR_HEADER_WEB_NOTIFICATION")
#define WRT_SETTING_OPT_USE_USER_MEDIA dgettext("ug-webapp-detail-efl", "IDS_WRT_OPT_USE_USER_MEDIA")
// TODO: should use OPT type of IDS
#define WRT_SETTING_BODY_FULL_SCREEN dgettext("ug-webapp-detail-efl", "IDS_BR_BODY_FULL_SCREEN")
#define WRT_SETTING_OPT_USE_STORE_WEB_DATA dgettext("ug-webapp-detail-efl", "IDS_WRT_OPT_USE_STORE_WEB_DATA")

#define WRT_SETTING_BODY_ALLOWS_THIS_SITE_TO_ACCESS_YOUR_LOCATION_INFORMATION dgettext("ug-webapp-detail-efl", "IDS_WRT_BODY_ALLOWS_THIS_SITE_TO_ACCESS_YOUR_LOCATION_INFORMATION")
#define WRT_SETTING_BODY_ALLOWS_THIS_SITE_TO_DISPLAY_NOTIFICATIONS dgettext("ug-webapp-detail-efl", "IDS_WRT_BODY_ALLOWS_THIS_SITE_TO_DISPLAY_NOTIFICATIONS")
#define WRT_SETTING_BODY_ALLOWS_THIS_SITE_TO_USE_THE_MEDIA_FILES_STORED_ON_YOUR_DEVICE dgettext("ug-webapp-detail-efl", "IDS_WRT_BODY_ALLOWS_THIS_SITE_TO_USE_THE_MEDIA_FILES_STORED_ON_YOUR_DEVICE")
#define WRT_SETTING_BODY_ALLOWS_THIS_SITE_TO_CHANGE_THE_DISPLAY_TO_FULL_SCREEN dgettext("ug-webapp-detail-efl", "IDS_WRT_BODY_ALLOWS_THIS_SITE_TO_CHANGE_THE_DISPLAY_TO_FULL_SCREEN")
#define WRT_SETTING_BODY_ALLOWS_THIS_SITE_TO_SAVE_A_LARGE_AMOUNT_OF_DATA_ON_YOUR_DEVICE dgettext("ug-webapp-detail-efl", "IDS_WRT_BODY_ALLOWS_THIS_SITE_TO_SAVE_A_LARGE_AMOUNT_OF_DATA_ON_YOUR_DEVICE")

namespace WrtSettingText{
char* getFeatureText(const WrtDB::Feature index);
char* getDescriptionText(const WrtDB::Feature index);

}  // namespace WrtSettingText

#endif // WRT_SETTING_TEXT_H
